Bug 163006 - Add wxgtk 2.9 support
Summary: Add wxgtk 2.9 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-02 01:40 UTC by Max Khon
Modified: 2011-12-11 18:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.08 KB, patch)
2011-12-02 01:40 UTC, Max Khon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Khon freebsd_committer 2011-12-02 01:40:09 UTC
- Add wxgtk 2.9 support
- Ale claims that he s no longer a maintainer of this stuff
Comment 1 Max Khon freebsd_committer 2011-12-02 01:58:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to portmgr
Comment 2 Pav Lucistnik freebsd_committer 2011-12-02 08:17:47 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2011-12-02 08:18:57 UTC
pav         2011-12-02 08:18:42 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.wx.mk 
  Log:
  - Add support for wx 2.9
  - Reassign to a new maintainer
  
  PR:             ports/163006
  Submitted by:   fjoe
  Feature safe:   yes
  
  Revision  Changes    Path
  1.16      +8 -4      ports/Mk/bsd.wx.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Khon freebsd_committer 2011-12-05 02:43:20 UTC
State Changed
From-To: closed->open

The fix was reverted because it made 2.9 the default version. 

Updated patch that allows to define wxgtk versions that are never selected 
by default is attached. Now 2.9 is selected only when explicitly specified 
in USE_WX, i.e. USE_WX=yes or USE_WX=2.4+ should select wxgtk 2.8. 

Index: Mk/bsd.wx.mk 
=================================================================== 
RCS file: /home/pcvs/ports/Mk/bsd.wx.mk,v 
retrieving revision 1.15 
diff -u -p -r1.15 bsd.wx.mk 
--- Mk/bsd.wx.mk	15 Aug 2010 19:39:34 -0000	1.15 
+++ Mk/bsd.wx.mk	4 Dec 2011 07:26:35 -0000 
@@ -131,8 +131,9 @@ _WX_Definitions_Done=	yes 

_WX_COMPS_ALL=			wx contrib python svg 
_WX_DEP_TYPES_ALL=		build lib run 
-_WX_VERS_ALL=			2.4 2.6 2.8 
-_WX_VERS_UC_ALL=		2.6 2.8 
+_WX_VERS_ALL=			2.4 2.6 2.8 2.9 
+_WX_VERS_UC_ALL=		2.6 2.8 2.9 
+_WX_VERS_SKIP=			2.9 
_WX_VERS_LISTS=			WANT_WX_VER WITH_WX_VER _WX_VER_INSTALLED 

# 
@@ -177,6 +178,10 @@ _WX_FILE_python_2.8=	${PYTHON_SITELIBDIR 
_WX_PORT_svg_2.8=		graphics/wxsvg 
_WX_LIB_svg_2.8=		wxsvg 

+# wxgtk 2.9 
+_WX_PORT_wx_2.9=		x11-toolkits/wxgtk29 
+_WX_LIB_wx_2.9=			wx_baseu-2.9 
+ 
# Set _WX_SHVER_comp_ver to 0 and _WX_FILE_comp_ver for libs appropiately. 
# Set _WX_DEPTYPE_comp_ver for "python" to "run", and others to "lib". 

@@ -361,13 +366,17 @@ _WX_VER_MAX:=			${_WX_VER_CHECK:C/.*-([[ 
.		if ${_WX_VER_MIN} == ${_WX_VER_CHECK} 
.			undef _WX_VER_MIN 
.			for v in ${_WX_VERS_ALL} 
+.				if ${_WX_VER_CHECK:C/[-+]//} == ${v} || ${_WX_VERS_SKIP:M${v}} == "" 
_WX_VER_MIN?=			${v} 
+.				endif 
.			endfor 
.		endif 
# Maximum version not specified. 
.		if ${_WX_VER_MAX} == ${_WX_VER_CHECK} 
.			for v in ${_WX_VERS_ALL} 
+.				if ${_WX_VER_CHECK:C/[-+]//} == ${v} || ${_WX_VERS_SKIP:M${v}} == "" 
_WX_VER_MAX=			${v} 
+.				endif 
.			endfor 
.		endif 
# Expand versions and add valid ones to each list.
Comment 5 Pav Lucistnik freebsd_committer 2011-12-09 11:29:50 UTC
Responsible Changed
From-To: portmgr->pav

Take for exp-run
Comment 6 Pav Lucistnik freebsd_committer 2011-12-11 18:49:21 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2011-12-11 18:49:53 UTC
pav         2011-12-11 18:49:39 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.wx.mk 
  Log:
  - Add support for wx 2.9 while not making it default
  
  PR:             ports/163006
  Submitted by:   fjoe
  Feature safe:   yes
  
  Revision  Changes    Path
  1.18      +12 -3     ports/Mk/bsd.wx.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"